Skip to navigation

Update workload spec.

View as Markdown
Update the specification of an existing workload.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

WorkloadV2IdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
metadataobjectOptional
manifestmap from strings to anyOptional
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
manifestBase64EncodedstringOptionalformat: "byte"<=2097152 characters
Kubernetes YAML manifest encoded in base 64. Mutually exclusive with manifest.

Response

Workload update request accepted
metadataobject
desiredPhaseenum
The desired phase of the workload.
Allowed values:
workloadManifestmap from strings to any
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
rawManifestmap from strings to any
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error